Submissions
Update a submission
Update submission metadata, expiration, or preferences.
PUT
/
api
/
submissions
/
{id}
Update a submission
curl --request PUT \
--url https://spitshake.io/api/submissions/{id} \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"expire_at": "2023-11-07T05:31:56Z",
"metadata": {},
"preferences": {
"display_title": "Acme Legal Retainer",
"logo_url": "<string>",
"company_name": "<string>",
"favicon_url": "<string>",
"primary_button_color": "#2f5d8a",
"header_color": "#14213d",
"show_branding": true,
"brand_id": 7,
"custom_domain": "sign.example.com",
"signing_nav_style": "standard"
}
}
'import requests
url = "https://spitshake.io/api/submissions/{id}"
payload = {
"expire_at": "2023-11-07T05:31:56Z",
"metadata": {},
"preferences": {
"display_title": "Acme Legal Retainer",
"logo_url": "<string>",
"company_name": "<string>",
"favicon_url": "<string>",
"primary_button_color": "#2f5d8a",
"header_color": "#14213d",
"show_branding": True,
"brand_id": 7,
"custom_domain": "sign.example.com",
"signing_nav_style": "standard"
}
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expire_at: '2023-11-07T05:31:56Z',
metadata: {},
preferences: {
display_title: 'Acme Legal Retainer',
logo_url: '<string>',
company_name: '<string>',
favicon_url: '<string>',
primary_button_color: '#2f5d8a',
header_color: '#14213d',
show_branding: true,
brand_id: 7,
custom_domain: 'sign.example.com',
signing_nav_style: 'standard'
}
})
};
fetch('https://spitshake.io/api/submissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"slug": "<string>",
"source": "<string>",
"status": "<string>",
"template_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"expire_at": "2023-11-07T05:31:56Z",
"submitters": [
{
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"signing_url": "https://sign.yourcompany.com/s/OGZGoWBpoM8nN8",
"email": "jsmith@example.com",
"name": "<string>",
"role": "<string>",
"status": "waiting",
"submission_id": 123,
"opened_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"phone": "<string>",
"external_id": "<string>",
"values": {},
"metadata": {},
"preferences": {},
"declined_at": "2023-11-07T05:31:56Z",
"documents": [
{
"name": "<string>",
"url": "<string>"
}
],
"submission_events": [
{}
],
"template": {
"id": 123,
"name": "<string>"
},
"submission": {
"id": 123,
"slug": "<string>",
"status": "<string>"
}
}
],
"audit_log": [
{}
],
"metadata": {},
"template": {
"id": "<string>",
"name": "<string>",
"schema": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "text",
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required": true,
"readonly": true,
"key": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"pattern": "<string>",
"validation": "ssn",
"options": [
"<string>"
],
"formula": "<string>",
"areas": [
{
"x": 23.07,
"y": 20.35,
"w": 25,
"h": 5,
"page": 1,
"attachment_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"preferences": {}
}
],
"submitters": [
{}
],
"documents": [
{
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"page_count": 123,
"page_dimensions": [
{
"width": 123,
"height": 123
}
],
"url": "<string>"
}
]
},
"documents": [
{
"id": 123,
"filename": "<string>",
"document_type": "<string>",
"byte_size": 123
}
]
}Authorizations
ApiTokenSessionCookie
API token generated at Settings > API
Path Parameters
Body
application/json
Response
Updated submission
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Update a submission

